<?php
 
// Sécurité
if (!defined("_ECRIRE_INC_VERSION")) return;
 
function prefixe_declarer_champs_extras($champs = array()) {
 
    // SAISIE DATE SUR L'OBJET ARTICLE DU SECTEUR 1
    $champs['spip_articles']['date_diffusion'] = array(
        // Le type de saisie
        'saisie' => 'date',
        'options' => array(
            // Le nom du champ dans la base de données
            'nom' => 'date_diffusion', 
            // Le label affiché dans l'espace privé du site
            'label' => _T('prefixe:chaine_de_langue_date_diffusion'),
            // L'explication affichée dans l'espace privé du site
            'explication' => _T('prefixe:chaine_de_langue_date_diffusion_explication'),
            // Le type d'info attendue
            'sql' => "datetime DEFAULT '0000-00-00 00:00:00' NOT NULL",
            // La valeur par défaut
            'defaut' => '',
            // Le champ est obligatoire
            'obligatoire' => 'oui',
            // Afficher ce champ uniquement pour les articles du secteur n°1
            'restrictions'=>array(
                        'secteur' => '1'
            ),
       ),
        // Vérifier et normaliser les infos saisies avant de les insérer dans la base
        'verifier' => array(
            'type' => 'date',
            'options' => array(
                'normaliser' => 'datetime',
            )
        )
    );
 
    // SAISIE TEXTEAREA SUR L'OBJET RUBRIQUE DE LA BRANCHE N°5
    $champs['spip_rubriques']['infos_complementaires'] = array(
        'saisie' => 'textarea',
        'options' => array(
            'nom' => 'infos_complementaires',
            'label' => _T('prefixe:chaine_de_langue_infos_complementaires'), 
            'defaut' => '',
            // Nombre de ligne du champ dans l'espace privé
            'rows' => 10,
            // Insérer la barre d'outils type forum
            'inserer_barre' => 'forum',
            // Appliquer les traitements typographiques et raccourcis SPIP à l'affichage du champ
            'traitements' => '_TRAITEMENT_RACCOURCIS',
            'sql' => "text DEFAULT '' NOT NULL",
            // Afficher ce champ uniquement pour les articles de la branche n°5
            'restrictions'=>array(
                        'branche' => '5'
            ),
        )
    );

    // SAISIE RADIO SUR L'OBJET ARTICLE
    $champs['spip_articles']['type_structure'] = array(
        'saisie' => 'radio',
        'options' => array(
            'nom' => 'structure', 
            'label' => _T('prefixe:type_structure_label'),
            'explication' => _T('prefixe:type_structure_explication'),
            'sql' => "varchar(30) NOT NULL DEFAULT ''",
            'defaut' => '',
            // Les cases radio
            'datas' => array(
                '' =>  _T('prefixe:champ_vide'), 
                'structure_adherente' =>  _T('prefixe:type_structure_adherente'), 
                'structure_non_adherente' =>  _T('prefixe:type_structure_non_adherente'), 
            ),
        )
    );

    // SAISIE CHECKBOX SUR L'OBJET RUBRIQUE DE LA BRANCHE N°1 
    $champs['spip_rubriques']['jour_de_diffusion'] = array(
        'saisie' => 'checkbox',
        'options' => array(
            'nom' => 'jour_diffusion_emission',
            'label' => _T('prefixe:jour_de_diffusion'), 
            'sql' => "text DEFAULT '' NOT NULL",
            'defaut' => '',
            'restrictions'=>array(
                'branche' => '1',
                // Autorisation : Tous les auteurs peuvent voir ce champ
                'voir' => array('auteur' => ''),
                // Autorisation : Seuls les admins complets peuvent le modifier
                'modifier' => array('auteur' => 'admin_complet')
            ),
            // Les cases checkbox
            'datas'=>array(
                'lundi' => 'Lundi',
                'mardi' => 'Mardi',
                'mercredi' => 'Mercredi',
                'jeudi' => 'Jeudi',
                'vendredi' => 'Vendredi',
                'samedi' => 'Samedi',
                'dimanche' => 'Dimanche'
            ),
        )
    );

    // 2 SAISIES DANS UN FIELDSET POUR L'OBJET AUTEUR
    $champs['spip_auteurs']['fieldset_numeros'] = array(
        'saisie' => 'fieldset',
        'options' => array(
            'nom' => "fieldset_numeros",
            'label' => _T('prefixe:chaine_de_langue_fieldset_numeros')
        ),
        'saisies' => array(
            // SAISIE INPUT SUR L'OBJET AUTEUR 
            'telephone' => array(
                'saisie' => 'input',
                'options' => array(
                    'nom' => 'telephone', 
                    'label' => _T('prefixe:chaine_de_langue_telephone'),
                    // Texte indicatif
                    'placeholder' => _T('prefixe:chaine_de_langue_placeholder'), 
                    // Limiter ce champ à 30 caractères
                    'sql' => "varchar(30) NOT NULL DEFAULT ''",
                    'defaut' => '',
                ),
                // Vérifier que les données saisies correspondent à un numéro de téléphone
                'verifier' => array(
                    'type' => 'telephone'
                )
            ),
            'fax' => array(
                'saisie' => 'input',
                'options' => array(
                    'nom' => 'fax', 
                    'label' => _T('prefixe:chaine_de_langue_fax'), 
                    // Limiter ce champ à 30 caractères
                    'sql' => "varchar(30) NOT NULL DEFAULT ''",
                    'defaut' => '',
                ),
                // Vérifier que les données saisies correspondent à un numéro de téléphone
                'verifier' => array(
                    'type' => 'telephone'
                )
            )
        )
    );
    // SAISIE SÉLECTEUR D'ARTICLE
    $champs['spip_articles']['voir_aussi'] = array(
        'saisie' => 'selecteur_article',
        'options' => array(
            'nom' => 'voir_aussi', 
            'label' => _T('prefixe:voir_aussi_label'),
            'explication' => _T('prefixe:voir_aussi_explication'),
            'sql' => "varchar(30) NOT NULL DEFAULT ''",
            // Possibilité de choisir plusieurs articles
            'multiple' => true,
        )
    );
    return $champs;	
}